package com.nostra13.universalimageloader.core.assist.imageaware;

import android.graphics.Bitmap;
import android.graphics.drawable.Drawable;
import android.view.View;
import com.nostra13.universalimageloader.core.assist.ViewScaleType;

/**
 * Created by Sergey.Tarasevich on 02.09.13.
 */
public interface ImageAware {

	int getWidth();

	int getHeight();

	ViewScaleType getScaleType();

	void setImageResource(int imageResId);

	void setImageDrawable(Drawable drawable);

	void setImageBitmap(Bitmap bitmap);

	View getWrappedView();

	boolean isViewLost();

	int hashCode();
}
